{% extends "siswa/userbase.html.twig" %}

{% block body %}

    {% block moreCss %}
    {% endblock %}
    {% embed 'siswa/secondaryBar.html.twig' %}
        {% block title %}
            Detail Tryout
        {% endblock %}



    {% endembed %}

    {#    Tagihan#}
    <section class="mt-1" id="content">


        <img src="{{ data[0].banner }}" class="w-100">

    </section>

    <section class="container-fluid mt-3">
        <div class="d-flex align-items-center  mb-2">
            <p class="mb-0 font-weight-bold">{{ data[0].title }}</p>
        </div>

        <div class="d-flex align-items-center mb-3">
            <img src="{{ asset('images/common/icons/money.png') }}" style="height: 1em" class="mr-2">
            <p class="mb-0 font-weight-bold" id="price"></p>
        </div>
    </section>


    <hr>
    <div class="d-flex justify-content-between container-fluid">
        <p class="mb-0 f08">{{ data[0].startDay ? 'Mulai : ' ~ data[0].startDay|date("d M Y") : '' }} </p>
        <p class="mb-0 f08">{{ data[0].finalDay ? 'Berakhir : ' ~ data[0].finalDay|date("d M Y") : '' }}</p>
    </div>
    <hr>
    <div class="container-fluid">
        <p class="f08 mb-1 font-weight-bold">Detail Tryout</p>
        <p class="f08 mb-1">Soal : {{ data.number ?? 0 }}</p>
        <p class="f08 mb-1">Total waktu mengerjakan : {{ data.durationTotal ?? 0 }}</p>
    </div>
    <hr>
    <div class="tab-pane fade show active" id="panduan" role="tabpanel"
         aria-labelledby="panduan-tab">
        <section class="m container-fluid">
            {{ (data[0].rules|replace({'Powered by' : '', 'Froala Editor' : ''}))|raw }}

            <div class="fixed-bottom p-2 bg-white">
                <div class="d-flex justify-content-between align-items-center flex-column">
                    <a class="bt-accent m-1 f10 d-block w-100" data-toggle="modal"
                       data-target="#bottom_modal">
                        Daftar Tryout {% if data[0].price == 0 %} Gratis {% endif %}
                    </a>
                </div>
            </div>
        </section>
    </div>


    <!-- MODAL BOTTOM==================================================== -->

    <div class="modal bottom fade" id="bottom_modal" tabindex="-1" role="dialog" aria-labelledby="bottom_modal">
        <div class="modal-dialog" role="document">
            <div class="modal-content" style="border-radius: 15px 15px 0 0">

                <div class="modal-body">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                    <div style="height: 3rem"></div>
                    <p class="text-center f08">Masukkan kode akses kamu untuk mendaftar Tryout Online atau beli
                        akses..</p>
                    <form>
                        <div class="form-group mr-3 ">
                            <div class="d-flex align-items-center input-bunder-icon">
                                <input type="text" class="form-control mr-3" id="kodeAkses" style="border-left: 1px; border-radius: 50px;border-right: none;border-top: none;border-bottom: none"
                                       aria-describedby="emailHelp" placeholder="Masukan Kode Akses">
                                <a onclick="codeAccess(event);" id="viaCodeAccess">
                                    <i class="mdi mdi-send f14 mr-2 text-black-50"></i>
                                </a>
                            </div>
                        </div>
                    </form>
                    <a class="bt-accent d-block" href="{{ path('pendaftaranTryout', {cat : ref}) }}">
                        {% if data[0].price == 0 %} Claim sekarang {% else %} Beli Akses Latihan Soal {% endif %}
                    </a>
                </div>

            </div>
        </div>
    </div>


    <div class="space-25h"></div>
{% endblock %}

    {% block JSMore %}
        <script src="{{ asset('js/wkwkwk.js') }}"></script>
        <script src="{{ asset('js/formatter.js') }}"></script>
        <script>
            function fetchCodeAccess(data) {
                console.log(data);
                if (data['redirect'] !== null && data["idReg"] !== null) {
                    window.location = data['redirect'];
                }
            }

            function codeAccess(e) {
                e.preventDefault()
                let url = "{{ path('tryoutCodeAccessApi', {cat : ref, codeAccess : 'zen'}) }}";
                var kode = $("#kodeAkses").val();
                console.log("KODE AKSEKS", kode);
                if (kode === "") {
                    $("#kodeAkses").focus();
                } else {
                    url = url.replace("zen", kode);
                    ajaxCall("fetchCodeAccess", url, "POST");
                }
            }

            (function () {
                $("#price").html(currency({{ data[0].price }}));
                $("p[data-f-id='pbf']").remove();

            })();
        </script>
    {% endblock %}